// !a_ithefelle_reset
//
// Resets Ithefelle's level and levels her up.
//

#include "ginc_item"


void main()
{
	object oTarget = GetObjectByTag("ithefelle"); // OBJECT_SELF, probly. This is executed from her SpawnScript. Not sure about anyplace else though.
	if (GetIsObjectValid(oTarget))
	{
		// Makes Ithefelle a specialized wizard (Necromancer)
		SetLevelUpPackage(oTarget, PACKAGE_WIZARD_NECROMANCY);

		// Reset Ithefelle to level
		ResetCreatureLevelForXP(oTarget, 0, FALSE);

		// Give Ithefelle 210000 EXP for player to level him/her.
		SetXP(oTarget, 210000);

		IdentifyEquippedItems();
		IdentifyInventory();

		FeatAdd(oTarget, FEAT_SPELLCASTING_PRODIGY, FALSE);
		FeatAdd(oTarget, FEAT_SPELL_PENETRATION, FALSE);
		FeatAdd(oTarget, FEAT_SPELL_FOCUS_NECROMANCY, FALSE);

		int iHeal = GetMaxHitPoints(oTarget) - GetCurrentHitPoints(oTarget);
		if (iHeal > 0)
		{
			effect eHeal = EffectHeal(iHeal);
			ApplyEffectToObject(DURATION_TYPE_INSTANT, eHeal, oTarget);
		}
	}
}
