// !a_safiya_reset
//
// Resets Safiya's level and levels her up.
//

#include "ginc_item"


void main()
{
	object oTarget = GetObjectByTag("eve"); // OBJECT_SELF, probly. This is executed from her SpawnScript. Not sure about anyplace else though.
	if (GetIsObjectValid(oTarget))
	{
		// Makes Safiya a specialize wizard (Transmuter)
		SetLevelUpPackage(oTarget, PACKAGE_WIZARD_TRANSMUTATION);

		// Reset Safiya to level
		ResetCreatureLevelForXP(oTarget, 0, FALSE);

		// Give Safiya 210000 EXP for player to level her
		SetXP(oTarget, 210000);

		IdentifyEquippedItems();
		IdentifyInventory();

		FeatAdd(oTarget, FEAT_SPELLCASTING_PRODIGY, FALSE);
		FeatAdd(oTarget, FEAT_SPELL_PENETRATION, FALSE);
		FeatAdd(oTarget, FEAT_SPELL_FOCUS_TRANSMUTATION, FALSE);

		int iHeal = GetMaxHitPoints(oTarget) - GetCurrentHitPoints(oTarget);
		if (iHeal > 0)
		{
			effect eHeal = EffectHeal(iHeal);
			ApplyEffectToObject(DURATION_TYPE_INSTANT, eHeal, oTarget);
		}
	}
}
