// 'a_party_gui'

#include "ginc_gui"


void main()
{
	object oPC = GetLastUsedBy();
	if (GetIsPC(oPC)) // safety. The Guest Book is not flagged as usable by non-PCs. Careful with that, the coding for Thirst currently relies on it that way.
	{
		if (!GetGlobalInt("Roster_init_DONE"))
		{
			SetGlobalInt("Roster_init_DONE", TRUE);

			// NOTE: might want to sort these names vs. labels out ... it's a bit confusing.
																									// custom SpawnScript:
			AddRosterMemberByTemplate("ammonjerro", "ammonjerro");					// Ammon		// a_spawn_exp
			AddRosterMemberByTemplate("cancel", "cancel");							// Khelgar		// a_spawn_exp
			AddRosterMemberByTemplate("claudius", "claudius");						// Neeshka		// a_spawn_exp
			AddRosterMemberByTemplate("aldonoth", "aldonoth");						// Gann			// a_spawn_exp
			AddRosterMemberByTemplate("kaelynthedove", "kaelynthedove");			// Kaelyn		// !a_kaelyn_reset
			AddRosterMemberByTemplate("eve", "eve");								// Safiya		// !a_safiya_reset
			AddRosterMemberByTemplate("kage", "kage");								// Charissa		// !a_charissa_reset
			AddRosterMemberByTemplate("sesha", "sesha");							// Mantides		// a_spawn_exp
			AddRosterMemberByTemplate("rinaraladyofshivs", "rinaraladyofshivs");	// Rinara		// a_spawn_exp
			AddRosterMemberByTemplate("zanz", "zanz");								// Finch		// a_spawn_exp
			AddRosterMemberByTemplate("voltus", "voltus");							// Ribsmasher	// a_spawn_exp
			AddRosterMemberByTemplate("umojaofchult", "umojaofchult");				// Umoja		// a_spawn_exp
			AddRosterMemberByTemplate("bodvarrfalgeirrson", "bodvarrfalgeirrson");	// Bodvarr		// a_spawn_exp
			AddRosterMemberByTemplate("kistrelelsydar", "kistrelelsydar");			// Kistrel		// a_spawn_exp
			AddRosterMemberByTemplate("terukawa_urakami", "terukawa_urakami");		// Terukawa		// a_spawn_exp

			SetRosterNPCPartyLimit(5);
		}
	}

	ShowPartySelect(oPC, TRUE, "", TRUE);
}

// NOTE: missing from Roster but have blueprints in toolset: 'Blueprints|Creatures|Companions|Module'
// - Eirinn		"eirinn"		// a_spawn_exp
// - Ithefelle	"ithefelle"		// !a_ithefelle_reset
