// 'ga_bb_showpartyeditor'
/*
	Opens the Party Editor GUI introduced in NWN2:SoZ.
	Requires party creation to be specified in the campaign settings.
	Based on SoZ gui_party_creation script.

	This is called from the Player Menu "playermenu_popup.xml" and
	therefore the script name must begin with "gui_".
	
	kL_note: The "ga_" version is functionally identical and either
	can be used in dialogs.
*/
// Brendan Bellina, March 2009
// kL 2016 may 15 - removed fluff and changed 'bModal' to TRUE.

const string GUI_PARTY_GEN_SCREEN	= "SCREEN_PARTY_GEN";
const string GUI_PARTY_GEN_XML		= "partygen.xml";


void main()
{
	// The GUI or console uses OBJECT_SELF, dialogs use GetPCSpeaker().
	object oPC = (GetPCSpeaker() == OBJECT_INVALID) ? OBJECT_SELF : GetPCSpeaker();
	DisplayGuiScreen(oPC, GUI_PARTY_GEN_SCREEN, TRUE, GUI_PARTY_GEN_XML);
}
