// 'a_mod_heartbeat'
//
// On Module Heartbeat script

#include "ginc_time"
#include "thirst_inc"


void main()
{
//	Tell("run ( a_mod_heartbeat )");

	// Thirst
	// TODO: CheckRaisedAfterThirstDeath() is looping through all characters and
	// could be done instead by each specific 'resurrect' spell/feat/item/etc.
	CheckRaisedAfterThirstDeath();
	CheckForThirstPause();
	// Thirst end.

	struct CHoursPassed rHP = CheckTime();
	if (rHP.nNumModuleHoursPassed > 0 || rHP.nNumCampaignHoursPassed > 0)
	{
		UpdateClockForAllPlayers();

		// Thirst
		object oFaction;
		object oPC = GetFirstPC(FALSE);
		while (GetIsObjectValid(oPC))
		{
			if (!GetLocalInt(oPC, "thirst_iter"))
			{
				SetLocalInt(oPC, "thirst_iter", TRUE);

				oFaction = GetFirstFactionMember(oPC, FALSE);
				while (GetIsObjectValid(oFaction))
				{
					if (GetAssociateType(oFaction) == ASSOCIATE_TYPE_NONE)
					{
						UpdateThirstPointsPerHour(oFaction, rHP.nNumModuleHoursPassed);
					}
					oFaction = GetNextFactionMember(oPC, FALSE);
				}
			}
			oPC = GetNextPC(FALSE);
		}

		oPC = GetFirstPC(FALSE);
		while (GetIsObjectValid(oPC))
		{
			DeleteLocalInt(oPC, "thirst_iter");
			oPC = GetNextPC(FALSE);
		}
		// Thirst end.
	}
}
