// 'gui_thirst_toggle'
/*
	Thirst bar toggle button.
	iState = 0 is minimized
	iState = 1 is maximized
*/
// ChazM 7/3/07
// kevL 2016.may.12 - modify for ToH-HE.

#include "thirst_inc"


void main(int iState)
{
//	Tell("run ( gui_thirst_toggle ) " + GetName(OBJECT_SELF));

	object oTarget = GetControlledCharacter(OBJECT_SELF);
//	Tell(". Control= " + GetName(oTarget));

	CloseThirstBar(oTarget);							// first close the thirst-bar

	string sScreen, sFile;
	switch (iState)										// then determine which version to display
	{
		case 0:											// change to maximized view
			sScreen = SCREEN_GUI_THIRST_BAR_s;
			sFile = FILE_GUI_THIRST_BAR_s;
			break;

		case 1:											// change to minimized view
			sScreen = SCREEN_GUI_THIRST_BAR_MIN_s;
			sFile = FILE_GUI_THIRST_BAR_MIN_s;
	}

	SetLocalString(oTarget, VAR_THIRST_BAR_SCREEN_s, sScreen);
	SetLocalString(oTarget, VAR_THIRST_BAR_FILE_s, sFile);

	DisplayThirstBar(oTarget);							// display the new version
	SetThirstPoints(oTarget, GetThirstPoints(oTarget));	// and send data to the new display.
}
