//::///////////////////////////////////////////////
//:: 'nw_s3_alcohol'
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
	Makes beverages fun.
	May 2002: Removed fortitude saves. Just instant intelligence loss
*/
//:://////////////////////////////////////////////
//:: Created By:   Brent
//:: Created On:   February 2002
//:://////////////////////////////////////////////

#include "thirst_inc"

//
void play(object oTarget, string sAnimation)
{
	PlayCustomAnimation(oTarget, sAnimation, FALSE);
}

//
void DrinkIt(object oTarget)
{
	int iStrRef;
	switch (Random(4))
	{
		default:
		case 0:
			iStrRef = 148926; // burp
			break;

		case 1:
			iStrRef = 148927; // mm tasty
			break;

		case 2:
			iStrRef = 148925; // more I want more
			break;

		case 3:
			iStrRef = 148921; // shh that shadow moved
	}
	AssignCommand(oTarget, ActionSpeakStringByStrRef(iStrRef));
}

//
void MakeDrunk(object oTarget, int iPoints)
{
	string sAnimation;
	switch (Random(6))
	{
		case 0:
			sAnimation = "drunk";
			break;
		default:
			sAnimation = "laugh";
	}
	AssignCommand(oTarget, ActionDoCommand(play(oTarget, sAnimation)));

	effect eStupid = EffectAbilityDecrease(ABILITY_INTELLIGENCE, iPoints);
	ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eStupid, oTarget, 60.f);
}


//
void main()
{
//	SendMessageToPC(GetFirstPC(FALSE), "run ( nw_s3_alcohol )");


	object oTarget = GetSpellTargetObject();
	DrinkIt(oTarget);

	int iIntPoints;
	float fThirstPoints;

	switch (GetSpellId())
	{
		default:
		case 406: // Special_Alcohol_Beer
			// *burp*
			iIntPoints = 1;
			fThirstPoints = 5.f;
			break;

		case 407: // Special_Alcohol_Wine
			iIntPoints = 2;
			fThirstPoints = 3.f;
			break;

		case 408: // Special_Alcohol_Spirits
			iIntPoints = 3;
			fThirstPoints = 1.f;
	}

	UpdateThirstPoints(oTarget, fThirstPoints); // Thirst

	if (!FortitudeSave(oTarget, d20() + (GetHitDice(oTarget) / 2) + (iIntPoints * 2)))
		MakeDrunk(oTarget, iIntPoints);
}
